# Uses of Enum
org.apache.qpid.proton.engine.SslDomain.Mode

Packages that use SslDomain.Mode
Package
Description
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl.ssl

## Uses of SslDomain.Mode in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return SslDomain.Mode
Modifier and Type
Method
Description
`SslDomain.Mode`
SslDomain.`getMode()`
`static SslDomain.Mode`
SslDomain.Mode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SslDomain.Mode[]`
SslDomain.Mode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.qpid.proton.engine with parameters of type SslDomain.Mode
Modifier and Type
Method
Description
`void`
SslDomain.`init(SslDomain.Mode mode)`
Initialize the ssl domain object.

## Uses of SslDomain.Mode in org.apache.qpid.proton.engine.impl.ssl

Methods in org.apache.qpid.proton.engine.impl.ssl that return SslDomain.Mode
Modifier and Type
Method
Description
`SslDomain.Mode`
SslDomainImpl.`getMode()`
Methods in org.apache.qpid.proton.engine.impl.ssl with parameters of type SslDomain.Mode
Modifier and Type
Method
Description
`void`
SslDomainImpl.`init(SslDomain.Mode mode)`